# Using a Python library to get the current year, this will make sense on the Y2 course
# Now you should be eager to attend Programming Y2 next winter to learn the secrets

import datetime
yearnow = datetime.datetime.now().date().year

# Age testing function with multiple parameters, returns a boolean
# Add more countries to make it global

def can_drink(age, country):
    if (age >= 21) and (country == "us"):
        return(True)
    elif (age >= 18) and ((country == "fi") or (country == "se")):
        return(True)
    elif (country == "sa"):
        return (False)
    else:
        return(False) # Defaults to failure


# Unit tests
print(can_drink(1,"us"))
print(can_drink(19,"us"))
print(can_drink(21,"us"))
print(can_drink(22,"us"))
print(can_drink(1,"fi"))
print(can_drink(18,"fi"))
print(can_drink(19,"fi"))
print(can_drink(21,"fi"))
print(can_drink(22,"fi"))


byear = int(input("When were you born "))
countrycode = str(input("Please enter your nation's ISO-3166 Country Code "))
age = yearnow - byear
if can_drink(age, countrycode):
    print("Yes, please have a drink")
else:
    print("Sorry, no drinks for you")
